#ifndef _Handle_PXCAFDoc_Area_HeaderFile
#define _Handle_PXCAFDoc_Area_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PXCAFDoc_Area;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PXCAFDoc_Area);

class Handle(PXCAFDoc_Area) : public Handle(PDF_Attribute) {
  public:

    Handle(PXCAFDoc_Area)():Handle(PDF_Attribute)() {} 
    Handle(PXCAFDoc_Area)(const Handle(PXCAFDoc_Area)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PXCAFDoc_Area)(const PXCAFDoc_Area* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PXCAFDoc_Area)& operator=(const Handle(PXCAFDoc_Area)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PXCAFDoc_Area)& operator=(const PXCAFDoc_Area* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PXCAFDoc_Area* operator->() const 
     {
      return (PXCAFDoc_Area *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PXCAFDoc_Area) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
